#
# Copyright (c) 2008 Red Hat, Inc.
#
# This software is licensed to you under the GNU General Public License,
# version 2 (GPLv2). There is NO WARRANTY for this software, express or
# implied, including the implied warranties of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. You should have received a copy of GPLv2
# along with this software; if not, see
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# 
# Red Hat trademarks are not licensed under GPLv2. No permission is
# granted to use or replicate Red Hat trademarks that are incorporated
# in this software or its documentation. 
#
# states.py					- Abbreviations for countries.
#-----------------------------------------------------------------------------


country_to_iso = {
        'Afghanistan':'AF',
        'Albania':'AL',
        'Algeria':'DZ',
        'American Samoa':'AS',
        'Andorra':'AD',
        'Angola':'AO',
        'Anguilla':'AI',
        'Antarctica':'AQ',
        'Antigua and Barbuda':'AG',
        'Argentina':'AR',
        'Armenia':'AM',
        'Aruba':'AW',
        'Australia':'AU',
        'Austria':'AT',
        'Azerbaijan':'AZ',
        'Bahamas':'BS',
        'Bahrain':'BH',
        'Bangladesh':'BD',
        'Barbados':'BB',
        'Belarus':'BY',
        'Belgium':'BE',
        'Belize':'BZ',
        'Benin':'BJ',
        'Bermuda':'BM',
        'Bhutan':'BT',
        'Bolivia':'BO',
        'Bosnia and Herzegovina':'BA',
        'Botswana':'BW',
        'Bouvet Island':'BV',
        'Brazil':'BR',
        'British Indian Ocean Territory':'IO',
        'Brunei Darussalam':'BN',
        'Bulgaria':'BG',
        'Burkina Faso':'BF',
        'Burundi':'BI',
        'Cambodia':'KH',
        'Cameroon':'CM',
        'Canada':'CA',
        'Cape Verde':'CV',
        'Cayman Islands':'KY',
        'Central African Republic':'CF',
        'Chad':'TD',
        'Chile':'CL',
        'China':'CN',
        'Christmas Island':'CX',
        'Colombia':'CO',
        'Comoros':'KM',
        'Congo':'CG',
        'Cook Islands':'CK',
        'Costa Rica':'CR',
        'Cote d\'Ivoire':'CI',
        'Croatia':'HR',
        'Cyprus':'CY',
        'Czech Republic':'CZ',
        'Denmark':'DK',
        'Djibouti':'DJ',
        'Dominica':'DM',
        'Dominican Republic':'DO',
        'East Timor':'TP',
        'Ecuador':'EC',
        'Egypt':'EG',
        'El Salvador':'SV',
        'Equatorial Guinea':'GQ',
        'Eritrea':'ER',
        'Estonia':'EE',
        'Ethiopia':'ET',
        'Falkland Islands (Malvinas)':'FK',
        'Faroe Island':'FO',
        'Fiji':'FJ',
        'Finland':'FI',
        'France (European Territory)':'FX',
        'France':'FR',
        'France, Metropolitan':'FR',
        'French Guiana':'GF',
        'French Polynesia':'PF',
        'Gabon':'GA',
        'Gambia':'GM',
        'Georgia':'GE',
        'Germany':'DE',
        'Ghana':'GH',
        'Gibraltar':'GI',
        'Greece':'GR',
        'Greenland':'GL',
        'Grenada':'GD',
        'Guadeloupe':'GP',
        'Guam':'GU',
        'Guatemala':'GT',
        'Guinea-Bissau':'GW',
        'Guinea':'GN',
        'Guyana':'GY',
        'Haiti':'HT',
        'Heard and McDonald Island':'HM',
        'Honduras':'HN',
        'Hong Kong':'HK',
        'Hungary':'HU',
        'Iceland':'IS',
        'India':'IN',
        'Indian':'IN',
        'Indonesia':'ID',
        'Ireland':'IE',
        'Israel':'IL',
        'Italy':'IT',
        'Jamaica':'JM',
        'Japan':'JP',
        'Jordan':'JO',
        'Kazakhstan':'KZ',
        'Kenya':'KE',
        'Korea, Republic of':'KR',
        'Kuwait':'KW',
        'Kyrgyzstan':'KG',
        'Laos':'LA',
        'Latvia':'LV',
        'Lebanon':'LB',
        'Lesoth':'LS',
        'Liberia':'LR',
        'Libyan Arab Jamahiriya':'LY',
        'Liechtenstein':'LI',
        'Lithuania':'LT',
        'Lithuania':'LX',
        'Luxembourg':'LU',
        'M\350\267\251co':'MA',
        'Macau':'MO',
        'Macedonia':'MK',
        'Madagascar':'MG',
        'Malawi':'MW',
        'Malaysia':'MY',
        'Maldives':'MV',
        'Mali':'ML',
        'Malta':'MT',
        'Marshall Islands':'MH',
        'Martinique':'MQ',
        'Mauritania':'MR',
        'Mauritius':'MU',
        'Mexico':'MX',
        'Micronesia (Federated States of)':'FM',
        'Moldova':'MD',
        'Moldova, Republic of':'MD',
        'Monaco':'MC',
        'Mongolia':'MN',
        'Montenegro':'ME',
        'Montserrat':'MS',
        'Morocco':'MA',
        'Mozambique':'MZ',
        'Namibia':'NA',
        'Nederland':'NL',
        'Nepal':'NP',
        'Netherlands Antilles':'AN',
        'Netherlands':'NL',
        'New Caledonia':'NC',
        'New Zealand':'NZ',
        'Nicaragua':'NI',
        'Nigeria':'NG',
        'Niger':'NE',
        'Norway':'NO',
        'Oman':'OM',
        'Pakistan':'PK',
        'Palau':'PW',
        'Panama':'PA',
        'Papua New Guinea':'PG',
        'Paraguay':'PY',
        'Peru':'PE',
        'Philippines':'PH',
        'Pitcairn':'PN',
        'Poland':'PL',
        'Portugal':'PT',
        'Puerto Rico':'PR',
        'Qatar':'QA',
        'Reunion Island':'RE',
        'Romania':'RO',
        'Russian Federation':'RU',
        'Rwanda':'RW',
        'Saint Kitts and Nevis':'KN',
        'Saint Lucia':'LC',
        'Saint Pierre and Miquelon':'PM',
        'Saint Vincent and the Grenadines':'VC',
        'Samoa':'WS',
        'San Marino':'SM',
        'Saudi Arabia':'SA',
        'Serbia':'RS',
        'Serbia and Montenegro':'CS',
        'Senegal':'SN',
        'Seychelles':'SC',
        'Sierra Leone':'SL',
        'Singapore':'SG',
        'Slovakia':'SK',
        'Slovenia':'SI',
        'Solomon Islands':'SB',
        'Somalia':'SO',
        'South Africa':'ZA',
        'Spain':'ES',
        'Sri Lanka':'LK',
        'Sudan':'SD',
        'Suriname':'SR',
        'Svalbard & Jan Mayen Island':'SJ',
        'Swaziland':'SZ',
        'Sweden':'SE',
        'Switzerland':'CH',
        'Syrian Arab Republic':'SY',
        'Taiwan, Republic of':'TW',
        'Tanzania, United Republic of':'TZ',
        'Thailand':'TH',
        'Togo':'TG',
        'Tonga':'TO',
        'Trinidad and Tobago':'TT',
        'Tunisia':'TN',
        'Turkey':'TR',
        'Turkmenistan':'TM',
        'Turks and Caicos Islands':'TC',
        'Tuvalu':'TV',
        'Uganda':'UG',
        'Ukraine':'UA',
        'United Arab Emirates':'AE',
        'United Kingdom':'GB',
        'United States':'US',
        'Uruguay':'UY',
        'US Minor Outlying Islands':'UM',
        'Uzbekistan':'UZ',
        'Vanuatu':'VU',
        'Vatican City State (Holy See)':'VA',
        'Venezuela':'VE',
        'Vietnam':'VN',
        'Virgin Islands (British)':'VG',
        'Virgin Islands (U.S.)':'VI',
        'Wallis and Futuna':'WF',
        'Yemen':'YE',
        'Yugoslavia':'YU',
        'Zaire':'ZR',
        'Zambia':'ZM',
        'Zimbabwe':'ZW',
}


t9_countries = {
    "Korea, Democratic People's Republic of":'KP',
    'North Korea':'KP',
    'Afghanistan':'AF',
    'Cuba':'CU',
    'Iran':'IR',
    'Iraq':'IQ',
    'Islamic Republic of Iran':'IR',
    'Sudan':'SD',
    'Syrian Arab Republic':'AY'
    }


#-----------------------------------------------------------------------------
if __name__ == "__main__":
    print "You can not run this module by itself"
    import sys
    sys.exit(-1)
#-----------------------------------------------------------------------------

